Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		kipi-plugins
Version:	0.1.5
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://extragear.kde.org/apps/kipi/
Group:		Graphics
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	kipi-plugins - additional features for Kipi (KDE Image Plugin Interface).
BuildRequires:	libkipi-devel
BuildRequires:	ufraw
BuildRequires:  kdelibs-devel
BuildRequires:  libICE-devel
BuildRequires:  imlib2-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libacl-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  libexif-devel
BuildRequires:  gamin-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  libgphoto2-devel
#BuildRequires:  libgpod-devel
BuildRequires:  libidn-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pcre-devel
BuildRequires:  libpng-devel
BuildRequires:  qt-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  zlib-devel 
BuildRequires:	libkexiv2-devel
BuildRequires:	mjpegtools-devel
BuildRequires:	ImageMagick-devel
BuildRequires:  libkdcraw-devel
BuildRequires:  libgpod-devel
Obsoletes:	kipi-plugins-rc1


%description
Libkipi allows image applications to use a plugin architecture for additional functionality.
Currently implemented plugins are:

 1. RawConverter:	A Raw Image Converter for digital cameras.
 2. SlideShow:		Slideshow with effects ripped out from kslideshow and 3D effect using OpenGL.
 3. MpegEncoder:	An images to MPEG flux encoder for build a video file with many images.
 4. ImagesGallery:	An Album to HTML gallery export.
 5. PrintWizard:	Print multiple images/index pages in one page.
 6. JpegLossLess:	Batch images processing (rotation/flipping) without losing meta information
			embedded in the image and without recompression of the jpeg data.
 7. CdArchiving:	Albums CD archiving via K3b cd burning program.
 8. AcquireImages:	Acquire images interface.
			This plugin include these parts:
                        ScanImages (scanner management using Kooka).
                        ScreenshotImages (Snap Screen based on KSnapshot and adapted to Digikam).
 9. Calendar:		A Calendar construction plugin using Album images.
10. SendImages:		A plugin to send images by email, allowing resizing and recompressing before sending.
11. BatchProcessImages: A batch process images plugin.
                        This plugin includes these parts:
                        RenameImages (Image file names renaming).
                        ConvertImages (Image files format converting).
                        BorderImages (Add border to images).
                        FilterImages (Image enhancements using digital filters).
                        ColorImages (Image color enhancement).
                        EffectImages (Image transformation effects).
                        ResizeImages (Basic and Prepare to print images resizing).
                        RecompressImages (Recompress JPEG, TIFF, PNG, and TGA images).
12. TimeAdjust:		Adjust image file Time and Date.
13. WallPaper:		Image to KDE Desktop.
14. FindImages:		Find dupplicate images in albums.
15. GalleryExport:	Plugin to export images to a remote Gallery (http://gallery.sf.net)
16. HelloWorld:		Tutorial plugin implementation 

For more details see: http://extragear.kde.org/apps/kipi/

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_kdedir \
--disable-dependency-tracking \
--without-ipodexport
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
### gzipping manpages ###
#find $RPM_BUILD_ROOT%_kdedir/man -type f -exec gzip -9 \{\} \;
### stripping package ###
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_kdebindir
%_kdelibdir
%_kdedir/share/man
%_kdedir/share

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.5-2
- update to final version
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.5-1
- version update
- RC1
* Thu Jul 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.4-1
- version update
* Thu Mar 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.1.3-2
- hopefully fix gslice error
* Tue Feb 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.3-1
- version update
* Mon Nov 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.1.2-1
- version update
* Wed Apr 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.1.0-2
- rebuilt against ufraw
* Tue Nov 01 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.0-1
- Initial Release
